API Reference
Update transaction alerts in batch
/v2/transaction_alert https://api.cable.tech Authentication
- Bearer token in the Authorization header
transaction_alert:write
Request body
An array of transaction alert update payloads. Each payload must include the ‘alert_id’ to identify the alert and can include any other fields that need to be updated. The ‘timestamp’ field represents the time of update.
-
alert_idstring requiredUnique identifier for a alert belonging to a transaction. This is the primary key for a transaction alert and should be unique across all transaction alerts. Updates to a transaction alert should be made using this identifier.
-
is_testbooleanSet to true if this is a test transaction alert
Default
false -
statusstringAllowed values
CREATEDPENDINGCLOSED -
check_typestringThe type of monitoring check that triggered the alert.
Allowed values
INLINE_MONITORINGDELAYED_MONITORING -
related_check_idstringUnique identifier for a transaction check for which the alert belongs to.
-
related_tx_idslist of stringsUnique identifiers for transactions which the alert relates to.
-
timestampstring requiredWhen this alert was generated in your system, in ISO 8601 format.
Format
date-time
Responses
200 Transaction alert updated successfully
-
successboolean requiredIndicates if the write operation was successful.
-
write_countinteger requiredThe number of records written to the database.
Format
int32 -
messagestring requiredProvides additional information about the operation result.
-
organization_idstring requiredThe organization ID for which the operation was performed.
Errors
- 400 Invalid transaction alert data
- 401 Unauthorized request
- 404 Transaction alert not found
- 429 Rate limit exceeded
- 500 Server error
- default General error
-
codeinteger requiredFormat
int32 -
messagestring required -
errorslist of objectsDetailed information about errors in specific fields.
-
fieldstring -
messagestring
-